<?

require("../conectar.php");

require("funciones.php");

$fecha=$_POST["fecha"];

$fecha2=$_POST["fecha2"];

 $perfil=$_POST["perfil"];

if($perfil == 1){

    $puesto = "";

}else{

	$puesto = "e.puesto IN('16','17','18','7') and ";

}



$dias=array("domingo","lunes","martes","miercoles" ,"jueves","viernes","sabado");

 setlocale(LC_TIME, "Spanish");

$fahcaInicio=strftime('%d de %B del %Y', strtotime($fecha)); 

$fahcaFinal=strftime('%d de %B del %Y', strtotime($fecha2));

 

$sql="SELECT e.id_empleado,a.nombre,a.a_pat,a.a_mat,a.fecha,a.h_entrada,a.h_salida,a.tipoasistencia,e.turno FROM empleados e

      INNER JOIN asistencias a ON e.id_empleado=a.id_empleado

	  WHERE $puesto e.fechabaja='0000-00-00' and a.fecha between '$fecha' AND '$fecha2' order by a.nombre,a.fecha";

	  $eje=mysql_query($sql);

?>

<table class="datos">

  <tr class="trb1">

    <td colspan="8" align="center"><b>Asistencias del <?echo $fahcaInicio;?> AL <?echo $fahcaFinal;?></b></td>

  </tr>

  <tr class="trb1">

    <td align="center"><b>Nombre</b></td>

	<td align="center"><b>A. Paterno</b></td>

	<td align="center"><b>A. Materno</b></td>

	<td align="center"><b>Fecha</b></td>

	<td align="center"><b>H. Entrada</b></td>

	<td align="center"><b>H. Salida</b></td>

	<?php 

	  if($perfil==2 || $perfil==1){

	?>

	<td align="center"><b>Tipo Asistencia</b></td>

    <?php } ?>
    <td align="center"><b>Turno</b></td>


  </tr>

 <? while($reg=mysql_fetch_array($eje)){ 

     $dia=substr($reg['fecha'],8,2);

	 $mes=substr($reg['fecha'],5,2);

	 $anio=substr($reg['fecha'],0,4);

	 $diasemana=strtoupper($dias[intval((date("w",mktime(0,0,0,$mes,$dia,$anio))))]);

 ?>

  <tr class="trb">	  

	  <td><?echo htmlentities($reg['nombre']);?></td>

	  <td><?echo htmlentities($reg['a_pat']);?></td>

	  <td><?echo htmlentities($reg['a_mat']);?></td>

	  <td><?echo "<b>".$diasemana."</b> - ".$reg['fecha'];?></td>

	  <td><b><?echo $reg['h_entrada'];?></b></td>

	  <td><b><?echo $reg['h_salida'];?></b></td>

	  <?php 

	  if($perfil==2 || $perfil==1){
 
	?>

	  <td><?echo $reg['tipoasistencia'];?></td>	

	  <?php } ?>  
	<td><?echo $reg['turno'];?></td>
  </tr>

 <? } ?> 

</table>